### Method

# Ide SnippetParser load_from_data

#### Declaration

    gboolean
    ide_snippet_parser_load_from_data (
      IdeSnippetParser* parser,
      const gchar* defalut_language,
      const gchar* data,
      gssize data_len,
      GError** error
    )

#### Description

No description available.

#### Parameters

`defalut_language` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`data` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`data_len` | `gssize`
| No description available.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.